{% comment %} Imagens {% endcomment %}
{% assign image_urls = product.images | map: 'url' | uniq %}
{% assign img_limit = 2 %}
{% if mobile %}
  {% assign img_limit = 1 %}
{% endif %}

{% comment %} Preço {% endcomment %}
 {% if product.discount_rule != null and product.discount_rule.type == 'percentage' %}
  {% assign discount_amount = product.discount_rule.amount %}
{% endif %}

{% capture price_settings %}
  {
    "productId": {{ product.id }},
    "showInstallmentsWithoutInterest": true,
    "showInstallmentsWithInterest": false, 
    "mode": "medium",
    "htmlTag": "p"
  }
{% endcapture %}

<div class="popup-quickview" data-popup-quickview>
  <span class="background" data-close-popup-quickview data-processed="false"></span>
  
  <div class="content">

    <button aria-label="Fechar popup de compra" class="close" data-close-popup-quickview data-processed="false" type="button">
      <svg class="icon"><use xlink:href="#icon-close"/></svg>
    </button>

    <div class="product" data-product-box data-product-unique-id >

      {% if image_urls.size > 0 %}
        <a aria-label="Ir para o produto {{ product.name }}" href="{{ product.url }}" class="images">
          <figure class="image -square">
            {% for image in image_urls limit: img_limit %}
              {% capture data_srcset %}
                {{ image | resize: '300x' }} 350w,
                {{ image | resize: '400x' }} 767w,
                {{ image | resize: '500x' }} 1440w,
                {{ image | resize: '600x' }} 1920w
              {% endcapture %}
        
              {% capture data_sizes %}
                (max-width: 350px) 350px,
                (max-width: 767px) 767px,
                (max-width: 991px) 767px,
                (max-width: 1440px) 1440px,
                (max-width: 1920px) 1920px
              {% endcapture %}

              <img class="lazy" loading="lazy" data-srcset="{{ data_srcset | strip_newlines | strip }}" sizes="{{ data_sizes | strip_newlines | strip }}" alt="Foto do produto {{ product.name }}"/>
            {% endfor %}
          </figure>
        </a>
      {% endif %}

      <div class="infos">
        <div class="description">

          <h3 class="name">
            <a aria-label="Ir para o produto {{ product.name }}" href="{{ product.url }}">
              {{ product.name }}
            </a>
          </h3>

          <div class="price-wrapper">
            <div class="product-price"
              data-was-processed="false" 
              data-sku="" 
              data-init-price='{{ price_settings }}'
              data-price="{{ product.price }}"
              data-discount-percent="{{ discount_amount | default: 0 }}"  
            ></div>
          </div>

          <p class="quantity">{{ product.variants.size }} opções disponíveis</p>
        </div>

        {% render 'partials/content/product/infos/purchase', product: product, show_button: true, show_short_desc: false, text_string: 'Comprar', show_qtd_selector: false, show_more_link: true %}
      
      </div>

    </div>
  </div>
</div>